zenilib: zenilib/jni/external/sdl/src/joystick/SDL_joystick_c.h File Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Functions
SDL_joystick_c.h File Reference
`#include "SDL_config.h"`
`#include "SDL_joystick.h"`

Go to the source code of this file.

## Functions

int | SDL_GameControllerInit (void)
void | SDL_GameControllerQuit (void)
int | SDL_JoystickInit (void)
void | SDL_JoystickQuit (void)
int | SDL_PrivateJoystickAxis (SDL_Joystick *joystick, Uint8 axis, Sint16 value)
int | SDL_PrivateJoystickBall (SDL_Joystick *joystick, Uint8 ball, Sint16 xrel, Sint16 yrel)
int | SDL_PrivateJoystickButton (SDL_Joystick *joystick, Uint8 button, Uint8 state)
int | SDL_PrivateJoystickHat (SDL_Joystick *joystick, Uint8 hat, Uint8 value)
SDL_bool | SDL_PrivateJoystickNeedsPolling ()
int | SDL_PrivateJoystickValid (SDL_Joystick *joystick)

## Function Documentation

int SDL_GameControllerInit | ( | void |  | ) |

Definition at line 787 of file SDL_gamecontroller.c.

References i, NULL, s_ControllerMappings, s_pSupportedControllers, SDL_AddEventWatch(), SDL_GameControllerAddMapping(), SDL_GameControllerEventWatcher(), and SDL_GameControllerLoadHints().

Referenced by SDL_InitSubSystem().

void SDL_GameControllerQuit | ( | void |  | ) |

Definition at line 1130 of file SDL_gamecontroller.c.

References NULL, s_pSupportedControllers, SDL_DelEventWatch(), SDL_free(), SDL_GameControllerClose(), SDL_GameControllerEventWatcher(), and SDL_gamecontrollers.

Referenced by SDL_QuitSubSystem().

int SDL_JoystickInit | ( | void |  | ) |

Definition at line 50 of file SDL_joystick.c.

References NULL, SDL_AddHintCallback(), SDL_HINT_JOYSTICK_ALLOW_BACKGROUND_EVENTS, SDL_INIT_EVENTS, SDL_InitSubSystem(), SDL_JoystickAllowBackgroundEventsChanged(), and SDL_SYS_JoystickInit().

Referenced by SDL_InitSubSystem().

void SDL_JoystickQuit | ( | void |  | ) |

Definition at line 451 of file SDL_joystick.c.

References _SDL_Joystick::ref_count, SDL_assert, SDL_INIT_EVENTS, SDL_JoystickClose(), SDL_QuitSubSystem(), and SDL_SYS_JoystickQuit().

Referenced by SDL_QuitSubSystem().

int SDL_PrivateJoystickAxis | ( | SDL_Joystick * | joystick,
|  | Uint8 | axis,
|  | Sint16 | value
| ) |  |

Definition at line 496 of file SDL_joystick.c.

References _SDL_Joystick::axes, _SDL_Joystick::closed, _SDL_Joystick::instance_id, _SDL_Joystick::naxes, SDL_ENABLE, SDL_GetEventState, SDL_JOYAXISMOTION, SDL_PrivateJoystickShouldIgnoreEvent(), SDL_PushEvent(), and _SDL_Joystick::uncentered.

Referenced by SDL_JoystickUpdate(), and SDL_SYS_JoystickUpdate().

int SDL_PrivateJoystickBall | ( | SDL_Joystick * | joystick,
|  | Uint8 | ball,
|  | Sint16 | xrel,
|  | Sint16 | yrel
| ) |  |

Definition at line 574 of file SDL_joystick.c.

References _SDL_Joystick::balls, _SDL_Joystick::balldelta::dx, _SDL_Joystick::balldelta::dy, _SDL_Joystick::instance_id, _SDL_Joystick::nballs, SDL_ENABLE, SDL_GetEventState, SDL_JOYBALLMOTION, SDL_PrivateJoystickShouldIgnoreEvent(), and SDL_PushEvent().

int SDL_PrivateJoystickButton | ( | SDL_Joystick * | joystick,
|  | Uint8 | button,
|  | Uint8 | state
| ) |  |

Definition at line 610 of file SDL_joystick.c.

References _SDL_Joystick::buttons, _SDL_Joystick::instance_id, _SDL_Joystick::nbuttons, SDL_ENABLE, SDL_GetEventState, SDL_JOYBUTTONDOWN, SDL_JOYBUTTONUP, SDL_PRESSED, SDL_PrivateJoystickShouldIgnoreEvent(), SDL_PushEvent(), SDL_RELEASED, and SDL_Event::type.

Referenced by SDL_JoystickUpdate(), and SDL_SYS_JoystickUpdate().

int SDL_PrivateJoystickHat | ( | SDL_Joystick * | joystick,
|  | Uint8 | hat,
|  | Uint8 | value
| ) |  |

Definition at line 536 of file SDL_joystick.c.

References _SDL_Joystick::closed, _SDL_Joystick::hats, _SDL_Joystick::instance_id, _SDL_Joystick::nhats, SDL_ENABLE, SDL_GetEventState, SDL_JOYHATMOTION, SDL_PrivateJoystickShouldIgnoreEvent(), SDL_PushEvent(), and _SDL_Joystick::uncentered.

Referenced by SDL_JoystickUpdate().

SDL_bool SDL_PrivateJoystickNeedsPolling | ( |  | ) |

Definition at line 741 of file SDL_joystick.c.

References NULL, SDL_SYS_JoystickNeedsPolling(), and SDL_TRUE.

Referenced by SDL_ShouldPollJoystick().

int SDL_PrivateJoystickValid | ( | SDL_Joystick * | joystick | ) |

Definition at line 199 of file SDL_joystick.c.

References _SDL_Joystick::closed, NULL, and SDL_SetError().

Referenced by SDL_HapticOpenFromJoystick(), SDL_JoystickGetAttached(), SDL_JoystickGetAxis(), SDL_JoystickGetBall(), SDL_JoystickGetButton(), SDL_JoystickGetHat(), SDL_JoystickInstanceID(), SDL_JoystickIsHaptic(), SDL_JoystickName(), SDL_JoystickNumAxes(), SDL_JoystickNumBalls(), SDL_JoystickNumButtons(), and SDL_JoystickNumHats().